OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDimen

# IGESDimen_HArray1OfGeneralNote Class Reference

`#include <IGESDimen_HArray1OfGeneralNote.hxx>`

## Public Member Functions
Standard_EXPORT | IGESDimen_HArray1OfGeneralNote (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESDimen_HArray1OfGeneralNote (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESDimen_GeneralNote)&V)
Standard_EXPORT void | Init (const Handle(IGESDimen_GeneralNote)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESDimen_GeneralNote)&Value)
const Handle_IGESDimen_GeneralNote & | Value (const Standard_Integer Index) const
Handle_IGESDimen_GeneralNote & | ChangeValue (const Standard_Integer Index)
const IGESDimen_Array1OfGeneralNote & | Array1 () const
IGESDimen_Array1OfGeneralNote & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
IGESDimen_Array1OfGeneralNote | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_HArray1OfGeneralNote::IGESDimen_HArray1OfGeneralNote | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESDimen_HArray1OfGeneralNote::IGESDimen_HArray1OfGeneralNote | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESDimen_GeneralNote)& | V
| ) |

## Member Function Documentation

const IGESDimen_Array1OfGeneralNote& IGESDimen_HArray1OfGeneralNote::Array1 | ( |  | ) | const

IGESDimen_Array1OfGeneralNote& IGESDimen_HArray1OfGeneralNote::ChangeArray1 | ( |  | ) |

Handle_IGESDimen_GeneralNote& IGESDimen_HArray1OfGeneralNote::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESDimen_HArray1OfGeneralNote::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESDimen_HArray1OfGeneralNote::Init | ( | const Handle(IGESDimen_GeneralNote)& | V | ) |

Standard_Integer IGESDimen_HArray1OfGeneralNote::Length | ( |  | ) | const

Standard_Integer IGESDimen_HArray1OfGeneralNote::Lower | ( |  | ) | const

void IGESDimen_HArray1OfGeneralNote::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESDimen_GeneralNote)& | Value
| ) |

Standard_Integer IGESDimen_HArray1OfGeneralNote::Upper | ( |  | ) | const

const Handle_IGESDimen_GeneralNote& IGESDimen_HArray1OfGeneralNote::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESDimen_Array1OfGeneralNote IGESDimen_HArray1OfGeneralNote::myArray`[private]`

The documentation for this class was generated from the following file:

- IGESDimen_HArray1OfGeneralNote.hxx